<?php

defined( 'ABSPATH' ) or die( 'Direct script access disallowed.' );

/**
 * Set async defer on src code so
 * browser loads the scripts asynchronously
 */

fxl_add_async_filter();

fxl_init_rating_obj($this->version);


/**
 * modify script tag
 */
function fxl_add_async_filter(){
    add_filter( 'script_loader_tag', function( $tag, $handle ) {
        if ( ! preg_match( '/^fxl-/', $handle ) ) { return $tag; }
        return str_replace( ' src', ' async defer src', $tag );
    }, 10, 2 );
}

function fxl_init_rating_obj($version){
    // get rating
    $ratingObj = get_option('fxl_rating');
    if($ratingObj){
        $ratingObj = unserialize($ratingObj);
    }
    wp_enqueue_script( 'fixel-env', FIXEL_PLUGIN_PATH . '/admin/js/fixel.js', array( 'jquery' ), $version, false );
    wp_localize_script( 'fixel-env', 'env_vars',
        array(
            'ajaxurl' => admin_url( 'admin-ajax.php' ),
            'ratingObj' => $ratingObj
        )
    );
}