<?php
$FXL_DATA = unserialize(get_option('fxl_segments_data'));
if(!isset($FXL_DATA) || !$FXL_DATA){
    return;
}

$arrowUp = plugin_dir_url(__FILE__) . "img/ArrowUp.svg";
$arrowDown = plugin_dir_url(__FILE__) . "img/ArrowDown.svg";

$status = $FXL_DATA->LAST_7_DAYS->fixelStats->totalChange > 0;
$dataArr = array(
    array(
        'name'=>'Sessions Analyzed',
        'sessions'=>$FXL_DATA->LAST_7_DAYS->fixelStats->total,
        'change'=>$FXL_DATA->LAST_7_DAYS->fixelStats->totalChange
    ),
    array(
        'name'=>'Engaged Sessions',
        'sessions'=>$FXL_DATA->LAST_7_DAYS->fixelStats->Engaged,
        'change'=>$FXL_DATA->LAST_7_DAYS->fixelStats->EngagedChange
    ),
    array(
        'name'=>'Highly Engaged Sessions',
        'sessions'=>$FXL_DATA->LAST_7_DAYS->fixelStats->highEngaged,
        'change'=>$FXL_DATA->LAST_7_DAYS->fixelStats->highEngagedChange
    )
)
?>

<?php foreach ($dataArr as $data) :
    $status = $data['change'] > 0;?>
    <div class="fxl-column">
        <div class="fxl-title">
            <h3> <?php echo $data['name'] ?></h3>
        </div>
        <div class="fxl-data-rate">
            <p class="data-item"><?php echo $data['sessions'] ?></p>
            <div class="change-rate <?php echo $status ? 'up' :'down'?>">
                <img src="<?php echo $status ? $arrowUp : $arrowDown ?>" alt="">
                <p><?php echo $data['change'] ?>%</p>
            </div>
        </div>
    </div>
<?php endforeach; ?>

    <div class="fxl-footer">
        <h3>Last 7 days</h3>
        <a href="/wp-admin/admin.php?page=fxl-pixel-placing-page#/">
            View Dashboard
            <span class="dashicons dashicons-admin-links"></span>
        </a>
    </div>
