<?php

    $FXL_CODE = get_option('fxl_segment_code');
?>

<script type="text/javascript">
    window.addEventListener( "load", function () {
        function sendData() {
            const XHR = new XMLHttpRequest();

            // Bind the FormData object and the form element
            const FD = new FormData( form );

            // Define what happens on successful data submission
            XHR.addEventListener( "load", function(event) {
                const success = document.querySelector("#fxl-success");
                success.classList.remove("hidden");
            } );

            // Define what happens in case of error
            XHR.addEventListener( "error", function( event ) {
                alert( 'Oops! Something went wrong.' );
            } );

            // Set up our request
            XHR.open( "POST", window.ajaxurl );
            // The data sent is what the user provided in the form
            XHR.send( FD );
        }

        const form = document.getElementById( "fxl-change-code-form" );
        form.addEventListener( "submit", function ( event ) {
            event.preventDefault();
            sendData();
        } );

        /**
         * reset
         * @returns {Promise<void>}
         */
        const reset = async () => {
            const result = window.confirm("Are you sure you want to reset Fixel Settings?");
            if(result){
                const FD = new FormData();
                FD.append("action","fxl_reset");

                const XHR = new XMLHttpRequest();
                XHR.open("POST", window.ajaxurl);
                try {
                    const res = await XHR.send(FD)
                    if(res) {
                        const success = document.querySelector("#fxl-success");
                        success.classList.remove("hidden");
                        location.reload();
                    }
                }catch (e) {
                    console.log(e)
                }

            }
        }

        const reset_button = document.getElementById("reset-fixel");
        reset_button.addEventListener("click", (e)=>{
            e.preventDefault();
            reset();
        });
    } );

</script>

<div class="wrap wp-core-ui">
    <div id="fxl-settings">
        <h1 class="wp-heading-inline">
            Fixel Settings
        </h1>
        <hr class="wp-header-end">

        <img src="<?php echo plugin_dir_url(__FILE__) . "img/fixel_logo.svg"?>" alt="fixel logo">
        <div id="fxl-form-wrapper" class="mt-2">
            <form action="" method="post" id="fxl-change-code-form">
                <input type="hidden" name="action" value="fxl_change_code">
                <label for="fxl-code">Fixel Code</label>
                <input id="fxl-code" name="fxl-code" type="text" value="<?php echo isset($FXL_CODE) ? $FXL_CODE : "" ?>">
                <input id="fxl-submit-button" type="submit" name="submit" id="submit" class="button button-primary" value="Save">
            </form>

            <form class="mt-1">
                <label for="reset-fixel">Reset all Fixel settings</label>
                <input type="submit" id="reset-fixel" name="reset-fixel" class="button button-primary" value="Reset"/>
            </form>

            <p class="hidden" id="fxl-success">Success</p>
        </div>
    </div>
</div>