<?php

/**
 * The plugin bootstrap file
 *
 * This file is read by WordPress to generate the plugin information in the plugin
 * admin area. This file also includes all of the dependencies used by the plugin,
 * registers the activation and deactivation functions, and defines a function
 * that starts the plugin.
 *
 * @link              https://www.fixel.ai
 * @since             1.0.0
 * @package           fixel
 *
 * @wordpress-plugin
 * Plugin Name:       Fixel - Smarter Segmentation for Remarketing and Lookalikes
 * Plugin URI:        https://wordpress.org/plugins/fixel/
 * Description:       Easily create engagement based audiences for Remarketing and Lookalike campaigns. Automatically integrates with your current Facebook and Google Analytics pixels.
 * Version:           3.0.3
 * Author:            Fixel.ai
 * Author URI:        https://www.fixel.ai/
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       fixel
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

defined( 'ABSPATH' ) or die( 'Direct script access disallowed.' );

/**
 * Current plugin version.
 */

define( 'FIXEL_VERSION', '3.0.3' );
define( 'FIXEL_APP_PATH', plugin_dir_path( __FILE__ ) . '/admin/widget' );
define( 'FIXEL_ASSET_MANIFEST', FIXEL_APP_PATH . '/build/asset-manifest.json' );
define ('FIXEL_PLUGIN_PATH', plugin_dir_url(__FILE__));

define( 'FIXEL_API_SERVER','https://jdguohz0s7.execute-api.us-east-1.amazonaws.com/Staging/wp');


/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-fixel-activator.php
 */
function activate_fixel() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-fixel-activator.php';
	fixel_Activator::activate();

}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-fixel-deactivator.php
 */
function deactivate_fixel() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-fixel-deactivator.php';
	fixel_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'activate_fixel' );
register_deactivation_hook( __FILE__, 'deactivate_fixel' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-fixel.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    2.0.0
 */
function run_fixel() {

	$plugin = new fixel();
	$plugin->run();

}

run_fixel();
